ranges::v3::view::all_fn Struct Reference
Inheritance diagram for ranges::v3::view::all_fn:

## Synopsis of methods

constexpr all_fn | all {}

## Public Member Functions

template<typename T , requires = (Range<T>())>
auto | operator() (T &&t) const -> decltype(all_fn::from_range(static_cast< T &&>(t)))
template<typename T , requires = (Range<T &>())>
ranges::reference_wrapper< T > | operator() (std::reference_wrapper< T > ref) const